RelayAPI

Update ad (name, budget, targeting, pause/resume)

PATCH
/v1/ads/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.relayapi.dev/v1/ads/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "string",
    "campaign_id": "string",
    "ad_account_id": "string",
    "platform": "meta",
    "platform_ad_id": "string",
    "name": "string",
    "status": "draft",
    "headline": "string",
    "body": "string",
    "call_to_action": "string",
    "link_url": "string",
    "image_url": "string",
    "video_url": "string",
    "boost_post_target_id": "string",
    "targeting": null,
    "daily_budget_cents": 0,
    "lifetime_budget_cents": 0,
    "start_date": "2019-08-24T14:15:22Z",
    "end_date": "2019-08-24T14:15:22Z",
    "duration_days": 0,
    "is_external": true,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo